Bug 157174 - fix typos and small mistakes in various ports
fix typos and small mistakes in various ports
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Eitan Adler
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-19 09:20 UTC by spam
Modified: 2012-03-03 03:23 UTC (History)
0 users

See Also:


Attachments
pchecker.log (3.64 KB, text/plain; charset=iso-8859-1)
2011-09-21 10:03 UTC, spam
no flags Details
pchecker.log (5.04 KB, text/plain; charset=us-ascii)
2012-02-06 18:56 UTC, spam
no flags Details
pchecker.log (2.87 KB, text/plain; charset=us-ascii)
2012-02-13 19:46 UTC, spam
no flags Details
pchecker.log (2.07 KB, text/plain; charset=us-ascii)
2012-02-15 15:00 UTC, spam
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description spam 2011-05-19 09:20:27 UTC
Here is a list of typos and small mistakes in ports tree:

zero size files:
converters/ruby-iconv/distinfo
multimedia/vdr/files/patch-tools.c-indexregenfix
multimedia/zoneminder/files/zm_fbsd_camera.h
net-mgmt/noc/files/patch-main_management_commands_sync-doc.py
print/c2ps-letter/files/patch-aa

nonstandard files:
converters/lua-iconv/patch-Makefile

nonstandard lines in distinfo:
net/fping+ipv6/distinfo   # remove RMD160, SHA1

misspelled(wrong) USE_* vars in Makefile:
print/lyx/Makefile:USE_BZIP=    yes             # BZIP2
ftp/proftpd/Makefile:USE_CLAMAV=    yes     # don't exists
ftp/proftpd-devel/Makefile:USE_CLAMAV=  yes
dovecot2-antispam-plugin/Makefile:USE_CONFIGURE=    yes # GNU_CONFIGURE
multimedia/aegisub/Makefile:USE_FREETYPE2=  yes # don't exists
devel/d-feet/Makefile:USE_GTK=  yes         # removed
x11-themes/kde4-windeco-nitrogen/Makefile:USE_GZIP= yes # default, can be removed
benchmarks/phoronix-test-suite/Makefile:USE_GZIP=   yes
devel/lxr/Makefile:USE_GZIP=    yes
devel/vxlog/Makefile:USE_GZIP=  yes
games/ifm/Makefile:USE_GZIP=    yes
graphics/flam3/Makefile:USE_GZIP=   yes
graphics/xfractint/Makefile:USE_GZIP=   yes
ftp/lftp/Makefile:USE_GZIP= yes
net/pcbsd-netmanager/Makefile:USE_GZIP= yes
sysutils/warden/Makefile:USE_GZIP=  yes
sysutils/pbreg/Makefile:USE_GZIP=   yes
sysutils/libpcbsd/Makefile:USE_GZIP=    yes
textproc/simplexml/Makefile:USE_GZIP=   yes
filelight-kde4/Makefile:USE_LDCONFG=    yes     # USE_LDCONFIG
net-mgmt/collectd/Makefile:USE_NGINX=   yes     # don't exists
databases/ocaml-sqlite3/Makefile:USE_OCAML_PLIST=   yes # USE_OCAMLFIND_PLIST
www/ocaml-net/Makefile:USE_OCAML_PLIST= yes
lang/ocamlduce/Makefile:USE_OCAML_PLIST=    yes
net-mgmt/collectd/Makefile:USE_PDNS=    yes     # don't exists
comms/p5-SMS-SMS77/Makefile:USE_PERL=   yes     # USE_PERL5
databases/mysqltuner/Makefile:USE_PERL= yes
devel/bsdbuild/Makefile:USE_PERL=   yes
devel/p5-File-Assets/Makefile:USE_PERL= yes
devel/p5-Path-Abstract/Makefile:USE_PERL=   yes
devel/p5-Gearman-Client-Async/Makefile:USE_PERL=    yes
devel/p5-Path-Resource/Makefile:USE_PERL=   yes
devel/p5-Tie-LLHash/Makefile:USE_PERL=  yes
devel/p5-Carp-REPL/Makefile:USE_PERL=   yes
emulators/snes9x-gtk/Makefile:USE_PERL= 5.8.1+
graphics/gdal/Makefile:USE_PERL=        yes
www/p5-CatalystX-LeakChecker/Makefile:USE_PERL= yes
www/p5-CatalystX-Profile/Makefile:USE_PERL= yes
www/p5-CatalystX-REPL/Makefile:USE_PERL=    yes
www/p5-CatalystX-SimpleLogin/Makefile:USE_PERL= yes
www/p5-CatalystX-InjectComponent/Makefile:USE_PERL= yes
www/p5-Catalyst-ActionRole-ACL/Makefile:USE_PERL=   yes
mail/rspamd/Makefile: USE_PERL= 5.8+
multimedia/mythtv/Makefile:USE_PERL=    yes
print/lyx/Makefile:USE_PERL=    yes
print/lyx-devel/Makefile:USE_PERL=  yes
sysutils/monitorix/Makefile:USE_PERL=   5.8+
sysutils/rsyncbackup/Makefile:USE_PERL= yes
net-mgmt/nagios-snmp-plugins-extras/Makefile:USE_PERL_RUN=  yes # USE_PERL5_RUN
audio/libbs2b/Makefile:USE_PKGCONFIG=   yes     # don't exists
graphics/libraw/Makefile:USE_PKGCONFIG=  yes
net/pcbsd-netmanager/Makefile:USE_QMAKE=    yes
sysutils/warden/Makefile:USE_QMAKE= yes
sysutils/pbreg/Makefile:USE_QMAKE=  yes
textproc/goldendict/Makefile:USE_QT4=   linguist
audio/puddletag/Makefile:USE_QT_VERSION=        4       # USE_QT_VER
textproc/ruby-htree/Makefile:USE_RUBY_RD2=      yes
databases/xapian-bindings/Makefile:USE_RUBY_RDOCS=  no      # USE_RUBY_RDOC
net/opal3/Makefile:USE_SLD= yes         # don't exists
mail/squirrelmail-user_special_mailboxes-plugin/Makefile:USE_SQ_COMPAT= yes # USE_SM_COMPAT
converters/drg2sbg/Makefile:USE_SSL=    yes     # don't exists
security/p5-Business-PayPal-EWP/Makefile:USE_UNIX2DOS=  yes     # USE_DOS2UNIX
Comment 1 Wen Heping freebsd_committer 2011-06-01 09:24:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 dfilter freebsd_committer 2011-06-02 03:59:29 UTC
wen         2011-06-02 02:57:59 UTC

  FreeBSD ports repository

  Removed files:
    multimedia/zoneminder/files zm_fbsd_camera.h 
  Log:
  - Remove zero size file
  
  PR:             ports/157174
  Submitted by:   Alex kozlov <spam@rm-rf.kiev.ua>
  Approved by:    maintainer(implicit)
  
  Revision  Changes    Path
  1.4       +0 -0      ports/multimedia/zoneminder/files/zm_fbsd_camera.h (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter freebsd_committer 2011-06-02 09:28:45 UTC
wen         2011-06-02 08:28:36 UTC

  FreeBSD ports repository

  Modified files:
    net/fping+ipv6       distinfo 
  Log:
  - Remove RMD160 SHA1 in distinfo
  
  PR:             ports/157174
  Submitted by:   Alex kozlov <spam@rm-rf.kiev.ua>
  Approved by:    maintainer(implicit)
  
  Revision  Changes    Path
  1.3       +0 -2      ports/net/fping+ipv6/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter freebsd_committer 2011-07-07 10:17:46 UTC
wen         2011-07-07 09:17:32 UTC

  FreeBSD ports repository

  Modified files:
    audio/jack-keyboard  Makefile 
    audio/wildmidi       Makefile 
    benchmarks/phoronix-test-suite Makefile 
    devel/lxr            Makefile 
    devel/vxlog          Makefile 
    ftp/lftp             Makefile 
    games/ifm            Makefile 
    graphics/flam3       Makefile 
    graphics/xfractint   Makefile 
    net/pcbsd-netmanager Makefile 
    sysutils/warden      Makefile 
    sysutils/libpcbsd    Makefile 
    sysutils/pbreg       Makefile 
    textproc/simplexml   Makefile 
    x11-themes/kde4-windeco-nitrogen Makefile 
  Log:
  - Remove USE_GZIP=yes since it is default
  
  PR:             ports/157174
  Submitted by:   Alex kozlov <spam@rm-rf.kiev.ua>
  Approved by:    pav@(portmgr)
  
  Revision  Changes    Path
  1.24      +0 -1      ports/audio/jack-keyboard/Makefile
  1.2       +0 -1      ports/audio/wildmidi/Makefile
  1.9       +0 -1      ports/benchmarks/phoronix-test-suite/Makefile
  1.5       +0 -1      ports/devel/lxr/Makefile
  1.4       +0 -1      ports/devel/vxlog/Makefile
  1.162     +0 -1      ports/ftp/lftp/Makefile
  1.33      +0 -1      ports/games/ifm/Makefile
  1.4       +0 -1      ports/graphics/flam3/Makefile
  1.21      +0 -1      ports/graphics/xfractint/Makefile
  1.12      +0 -1      ports/net/pcbsd-netmanager/Makefile
  1.4       +0 -1      ports/sysutils/libpcbsd/Makefile
  1.3       +0 -1      ports/sysutils/pbreg/Makefile
  1.8       +0 -1      ports/sysutils/warden/Makefile
  1.2       +0 -1      ports/textproc/simplexml/Makefile
  1.9       +0 -1      ports/x11-themes/kde4-windeco-nitrogen/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 spam 2011-09-21 10:03:30 UTC
Hi

Updated list


--
Adios
Comment 6 spam 2012-02-06 18:56:40 UTC
Hi

Updated list


--
Adios
Comment 7 spam 2012-02-13 19:46:11 UTC
Hi

Updated list


--
Adios
Comment 8 scheidell freebsd_committer 2012-02-15 11:59:29 UTC
pr 165172 takes care of audio/libbs2b

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 9 scheidell freebsd_committer 2012-02-15 12:14:59 UTC
dougb took qpopper.
I got

ports/devel/p5-Devel-Dumpvar/distinfoa


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 10 dfilter freebsd_committer 2012-02-15 12:16:25 UTC
scheidell    2012-02-15 12:16:16 UTC

  FreeBSD ports repository

  Removed files:
    devel/p5-Devel-Dumpvar distinfoa 
  Log:
  - Remove ports/devel/p5-Devel-Dumpvar/distinfoa file
  
  PR:             ports/157174
  Submitted by:   Alex kozlov <spam@rm-rf.kiev.ua>
  Approved by:    maintainer (implicit), gabor (mentor)
  
  Revision  Changes    Path
  1.3       +0 -2      ports/devel/p5-Devel-Dumpvar/distinfoa (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter freebsd_committer 2012-02-15 12:22:40 UTC
scheidell    2012-02-15 12:22:27 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/pcpustat    distinfo 
    textproc/tkdiff      distinfo 
    security/p5-POE-Filter-SSL distinfo 
  Log:
  - Fix missing \n in SIZE line for distinfo
  
  PR:             ports/157174
  Submitted by:   Alex kozlov <spam@rm-rf.kiev.ua>
  Approved by:    maintainer (implicit), gabor (mentor, implicit)
  
  Revision  Changes    Path
  1.4       +1 -1      ports/security/p5-POE-Filter-SSL/distinfo
  1.6       +1 -1      ports/sysutils/pcpustat/distinfo
  1.10      +1 -1      ports/textproc/tkdiff/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Eitan Adler freebsd_committer 2012-02-15 13:32:31 UTC
Responsible Changed
From-To: wen->eadler

I have already been working with the submitter and have emailed the 
maintainers for most of these ports
Comment 13 spam 2012-02-15 15:00:05 UTC
Hi

Updated list


--
Adios
Comment 14 Eitan Adler freebsd_committer 2012-02-15 16:42:47 UTC
TO OTHER COMMITTERS:

Please hold off committing changes from the above lists. Nearly every
maintainer has been contacted and I am tracking feedback.


-- 
Eitan Adler
Comment 15 Eitan Adler freebsd_committer 2012-03-03 03:23:12 UTC
State Changed
From-To: open->closed

maintainers contacted and most of the problems have been fixed. The rest 
of the changes will happen on demand.